# This Python file uses the following encoding: utf-8
import os

# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

from setuptools import setup, find_packages

#BUILD TEOS-10. IT REQUIRES A SIGNATURE FILE THAT CAN BE GENERATED BY:
#f2py -m teos_air --overwrite-signature -h teos_air.pyf src/teos_air.F90

from numpy.distutils.core import setup, Extension

package_name='pyteos_nc'
packages=[package_name+'.'+name for name in find_packages('lib')]
packages.append(package_name)

setup(name=package_name,
    version = "0.2",
    packages=packages,
    package_dir = {package_name: 'lib'},

        # metadata for upload to PyPI
        author = "F. Laliberte",
        author_email = "frederic.laliberte@canada.ca",
        description = "This package provides command line tools to complement pyteos_air.",
        license = "BSD",
        keywords = "thermodynamics atmosphere climate",
        classifiers=[
            "Development Status :: 4 - Beta",
            "Intended Audience :: Science/Research",
            "Natural Language :: English",
            "License :: OSI Approved :: BSD License",
            "Programming Language :: Python :: 2.7",
            "Programming Language :: Fortran",
            "Topic :: Scientific/Engineering :: Atmospheric Science",
            "Topic :: Scientific/Engineering :: Mathematics"
        ],
        long_description=read('README'),
        install_requires = ['numpy>=1.6','netCDF4','scipy'],
        zip_safe=False,
        entry_points = {
                  'console_scripts': [
                           'pyteos_nc = '+package_name+'.netcdf_interface:main',
                                     ],
                       }
    )
